> For the complete documentation index, see [llms.txt](https://docs.veza.com/4yItIzMvkpAvMVFAamTf/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.veza.com/4yItIzMvkpAvMVFAamTf/features/search/entities.md).

# Entities

Entities represent the authorization, data, and identity objects discovered by Veza, that appear as Query Builder results and as related nodes in Graph search. Entities can be data services or resources, identity domains, users or groups, and IAM or RBAC elements such as policies and roles. You can review all the entities from connected integrations in Query Builder and open any entity to view its details.

Configuring an identity, cloud, or other data provider enables Veza to gather a range of authorization metadata. This metadata includes relationships between federated identities, application users, service accounts, and groups and roles. Entities can also represent services and data resources, and permissions on these resources. These entities constitute the Veza Access Graph, which can be queried to identify [Risks](/4yItIzMvkpAvMVFAamTf/features/insights/risks.md), define [Rules](/4yItIzMvkpAvMVFAamTf/features/insights/rules-and-alerts.md), conduct [Access Reviews](/4yItIzMvkpAvMVFAamTf/features/access-reviews/configuration/access-reviews-query-builder.md), and enable automated Lifecycle Management workflows.

Queries typically specify source and destination entity types, such as `Okta Users related to AWS S3 Buckets` or `Google Users related to Google Groups`, returning all entities with that relationship. Higher-level [**Entity Type Groupings**](/4yItIzMvkpAvMVFAamTf/features/search/entities/entity-type-groupings.md), such as `User` or `Resource`, enable search across multiple entity types simultaneously. For example, the `User` entity type grouping includes all entities that Veza categorizes as a user, such as Okta Users, Snowflake Local Users, and AWS IAM Users. See [Entity Type Groupings](/4yItIzMvkpAvMVFAamTf/features/search/entities/entity-type-groupings.md) for a complete guide to available groupings and how to use them effectively in queries and access reviews.

**Entity metadata attributes** are the rich properties associated with each node in the graph. You can use filters to refine search results based on these attributes, which can potentially include custom properties if the integration supports them. Some attributes may be added by Veza during parsing (such as `risk_score`, `identity_type`, or `full_admin`), while most are ingested directly from the integration data source (such as `mfa_enabled` for users or `is_encrypted` for S3 Buckets).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.veza.com/4yItIzMvkpAvMVFAamTf/features/search/entities.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
